Subject: Re: post b20.1: How to disable umask and access UNC path
From: [email-masked]
To: Corinna Vinschen <[email-masked]>
Cc: [email-masked]
Date: Mon, 16 Aug 1999 08:22:17 -0400 (EDT)

> [email-masked] wrote:
> > [...]
> > And in any case does the fact that new code does not work accross network should be considered as a bug?
> > I.e. if I make a new file of a different computer it
> > should be created under the ownership of the account under which I connected to that computer and not the account under which I logged in locally.
> 
> This is a illegal implication. You have accessed the other computer via
> smb. This has NOTHING to do with NT security. The correct behaviour is
> to use the SID under which you are logged into the NT network and in
> your example it's the SID of your local login. The resulting `Unknown'
> account on the other computer is a logical consequence because it has
> no access to your local SAM. Moreover, what you do is possible but not
> correct in a NT domain. You should login as domain user when you work
> in a domain. If you use your local login you are mixing two worlds and
> you have to live with the results.

But under NT4 you can always type 
net use x: \\ip-address\share password /user:user-name

then you will be logged to ip-address computer regardless of your domain membership under
account you specify. 
Then when you create files on "x:" via win32 calls 
those files by default will be owned by account under which you logged to ip-address, not under you local account. This IMHO should be the way ntsec support is implemented in CYGWIN. 

Regards, Igor Boukanov

-----------------------------------------------------
Get free email from CMP at http://www.cmpnetmail.com/

--
Want to unsubscribe from this list?
Send a message to [email-masked]